Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLDiv

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLDiv

public class HTMLDiv
extends HTMLElementContainer

This class represents and HTML DIV element.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `theClickHandler`
`protected java.lang.String` | `theID`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLDiv()`
`HTMLDiv(java.lang.String sClass, java.lang.String sID)`

Method Summary
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setClickHandler(java.lang.String sClickHandler)` Sets the name of the JavaScript function that will be called when the DIV receives a mouse click.
`void` | `skipLine(int nTimes)` Inserts a line break BR tag nTimes.

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, render, renderElementFooter, renderElementHeader, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theID

    protected java.lang.String theID

### theClickHandler

    protected java.lang.String theClickHandler

Constructor Detail

### HTMLDiv

    public HTMLDiv()

### HTMLDiv

    public HTMLDiv(java.lang.String sClass,
                   java.lang.String sID)

  Parameters:
    `sClass` - the CSS class name for this DIV
    `sID` - the ID of this DIV

Method Detail

### setClickHandler

    public void setClickHandler(java.lang.String sClickHandler)

  Sets the name of the JavaScript function that will be called when the DIV receives a mouse click.

### skipLine

    public void skipLine(int nTimes)

  Inserts a line break BR tag nTimes.
  Overrides:
    skipLine in class HTMLElementContainer
  Parameters:
    `nTimes` - Number of times to insert aline break

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class HTMLElementContainer

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD